Bug 474935 - fcoe: fix terminate_rport_io related problems
fcoe: fix terminate_rport_io related problems
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.3
All Linux
high Severity high
: rc
: ---
Assigned To: Mike Christie
Martin Jenner
:
Depends On:
Blocks: 462384
  Show dependency treegraph
 
Reported: 2008-12-05 17:14 EST by Mike Christie
Modified: 2009-01-20 15:01 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 15:01:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix for regression for bug introduced in Beta6 (5.51 KB, patch)
2008-12-11 02:36 EST, Abhijeet Joglekar
no flags Details | Diff

  None (edit)
Description Mike Christie 2008-12-05 17:14:55 EST
Description of problem:

We need to fix a issue with the terminate rport io function getting called at the same time as the scsi eh abort code, the terminate rport io function getting called after it has reset it port id, and also drivers like fnic needing to cleanup/restart IO after a rport relogin.

Seems like a lot, but it is just a couple small patches. One was sent by JamesS upstream already:
http://marc.info/?l=linux-scsi&m=122849753004520&w=2
the other parts are small changes to fnic and libfc.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 2 Abhijeet Joglekar 2008-12-05 18:57:53 EST
It is looking like it was a firmware issue where local aborts were not getting completed by firmware correctly. Testing in progress...
Comment 5 Abhijeet Joglekar 2008-12-10 13:02:51 EST
The patch set for this should be out by end of day today.
Comment 6 Abhijeet Joglekar 2008-12-11 02:36:01 EST
Created attachment 326591 [details]
Fix for regression for bug introduced in Beta6

This patch fixes a regression that was introduced while submitting patches for Beta6 last week. The change is minor, low risk, and only in the fnic module. 

This patch was tested on top of kernel 126 (http://people.redhat.com/dzickus/el5/126.el5/) which included all the patches submitted for fnic and libfc for Beta6.

Please include in Beta6.

Thanks
-- abhijeet
Comment 10 Don Zickus 2008-12-16 14:15:33 EST
in kernel-2.6.18-127.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 13 errata-xmlrpc 2009-01-20 15:01:09 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html

Note You need to log in before you can comment on or make changes to this bug.